/*
 *  OpenVPN-GUI -- A Windows GUI for OpenVPN.
 *
 *  Copyright (C) 2004 Mathias Sundman <mathias@nilings.se>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program (see the file COPYING included with this
 *  distribution); if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define WM_NOTIFYICONTRAY (WM_APP + 1)

#define MSG_TIP 		"OpenVPN-GUI"
#define APP_ICON        	90


//Popup Menu items
#define IDM_TEXT_CONNECT 	"Connect to"
#define IDM_TEXT_DISCONNECT	"Disconnect from"
#define IDM_TEXT_VIEWLOG	"View LOG for"

#define IDM_CLOSE		421						
#define IDM_TEXT_CLOSE		"Exit OpenVPN-GUI"

#define IDM_CONNECTMENU		500
#define IDM_DISCONNECTMENU	600
#define IDM_VIEWLOGMENU		700

void  TRAY_Init(HWND hwnd);			//Create tray and its popup menu 
void  OnNotifyTray(LPARAM lParam);		//Tray message (mouse clicks on tray icon)
void  OnDestroyTray(void);			//WM_DESTROY message 
void  ShowTrayIcon();				//Put app icon in systray

BOOL  LoadAppIcon();                            //Application icon
void  CreateItemList(HMENU hMenu);              //Crate Popup menu
void  SetMenuStatus (int config, BOOL bCheck);  //Mark connection as connected/disconnected

